<%@ Page Language="C#" MasterPageFile="~/Member/UserManage.master" AutoEventWireup="true"
    CodeFile="MemberProductEdit.aspx.cs" Inherits="Member_Trade_MemberProductEdit"
    Title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContInfo" runat="Server">

    <script type="text/javascript">
    function $(id){
      name="ctl00$ContInfo$"+id;
      return document.getElementById(name); }
    function check()
    {
         if($("txtCompanyName").value=="")
         {
            document.getElementById("lblCompanyName").innerHTML="公司不能为空";
            return false;
         }
         if($("txtLinkName").value=="")
         {
            document.getElementById("lblLinkName").innerHTML="联系人不能为空";
            return false;
         }
         if($("txtPhone").value=="")
         {
             document.getElementById("lblPhone").innerHTML="电话不能为空";
            return false;
         }
         else
         {
              if(isNaN($("txtPhone").value))
              {  
               document.getElementById("lblPhone").innerHTML="电话格式不正确";
                 return false; 
              }
         }
         if($("txtAsk").value=="")
         { 
             document.getElementById("lblAsk").innerHTML="要求不能为空";
             return false;
         }
     }
    </script>

    <table width="800">
        <tr>
            <td style="height: 22px">
                公司名称：
            </td>
            <td style="height: 22px">
                <asp:TextBox ID="txtCompanyName" runat="server" Width="200px"></asp:TextBox>
                <div id="lblCompanyName" style="color: Red; text-align: center;">
                </div>
            </td>
        </tr>
        <tr>
            <td style="height: 22px">
                联系人：
            </td>
            <td style="height: 22px">
                <asp:TextBox ID="txtLinkName" runat="server" Width="200px"></asp:TextBox>
                <div id="lblLinkName" style="color: Red; text-align: center;">
                </div>
            </td>
        </tr>
        <tr>
            <td style="height: 22px">
                联系电话：
            </td>
            <td style="height: 22px">
                <asp:TextBox ID="txtPhone" runat="server" Width="200px"></asp:TextBox>
                <div id="lblPhone" style="color: Red; text-align: center;">
                </div>
            </td>
        </tr>
        <tr>
            <td style="height: 40px">
                要求：
            </td>
            <td style="height: 40px">
                <asp:TextBox ID="txtAsk" runat="server" TextMode="MultiLine" Height="108px" Width="277px"></asp:TextBox>
                <font color="red">按天数收费,管理员会根据您的要求与您联系</font>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Button ID="btnSubmit" runat="server" Text="提交" OnClientClick="javascript: return check()"
                    OnClick="btnSubmit_Click" />
            </td>
            <td>
                <asp:Button ID="btnReset" runat="server" Text="取消" OnClick="btnReset_Click" />
                <div id="lblAsk" style="color: Red; text-align: center;">
                </div>
            </td>
        </tr>
    </table>
</asp:Content>
